varying vec2 v_texCoord;

uniform float u_exposure;

//--------make etc image alpha ---------------
varying vec4 v_fragmentColor;
varying vec2 v_alphaCoord;

vec4 makeAlpha()
{
	vec4 textureColor = texture2D(CC_Texture0, v_texCoord);
	textureColor.a = texture2D(CC_Texture0, v_alphaCoord).r;
	textureColor.xyz = textureColor.xyz * textureColor.a;
	return textureColor;
}
//--------------------------------------------------

void main()
{
    vec4 textureColor = makeAlpha();
    gl_FragColor = vec4(textureColor.rgb * pow(2.0, u_exposure), textureColor.w);
}

