varying vec2 v_texCoord;

uniform float u_exposure;

void main()
{
    vec4 textureColor = texture2D(CC_Texture0, v_texCoord);
    if(textureColor.r <= 0.07 && textureColor.g <= 0.07 && textureColor.b <= 0.07)
    {
        textureColor.a = 0.0;
    }
    gl_FragColor = vec4(textureColor.rgb * pow(2.0, u_exposure), textureColor.w);
}

