#ifdef GL_ES
precision mediump float;
#endif
varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

void main(void)
{
	vec4 texColor = texture2D(CC_Texture0, v_texCoord);
    if(texColor.r <= 0.07 && texColor.g <= 0.07 && texColor.b <= 0.07)
    {
        texColor.a = 0.0;
    }
    gl_FragColor = texColor * v_fragmentColor;
}
